<template>
	<gui-page :customHeader="true" :isLoading="pageLoading" :fullPage="true" :headerSets="{height:44, zIndex:100}" >
		<view slot="gHeader">
			<view class="gui-flex gui-nowrap gui-rows gui-align-items-center gui-padding">
				<!-- 使用组件实现返回按钮及返回首页按钮 -->
				<gui-header-leading :onlyBack="true"></gui-header-leading>
				<!-- 导航文本此处也可以是其他自定义内容 -->
				<text class="gui-h4 gui-ellipsis gui-text-center gui-header-content gui-primary-color">{{fetch.name}}</text>
				<!-- 如果右侧有其他内容可以利用条件编译和定位来实现-->
			</view>
		</view>
		<view slot="gBody" class="gui-margin">
			<dever-content :item="fetch.content_array" :pics="fetch.content_pic"></dever-content>
		</view>
	</gui-page>
</template>
<script>
import deverContent from '@/lib/dever/components/content.vue';
export default {
	data() {
		return {
			fetch : {
				name : '',
				content_array : [],
				content_pic : [],
			},
			id : 0,
		}
	},
	components:{
		deverContent
	},
	onLoad : function(o) {
		this.id = o.id;
		this.getInfo();
	},
	methods: {
		getInfo : function() {
			var data = {};
			data.id = this.id;
			this.Dever.get(this, 'package/article/?l=api.getInfo', data);
		},
	}
}
</script>
<style>
</style>